[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Mouse' (#rtl)

# DoneMouse

Deinitialize mouse driver.

## Declaration

Source position: mouseh.inc line 67

`procedure DoneMouse;`

## Description

DoneMouse De-initializes the mouse driver. It cleans up any memory allocated when the mouse was initialized, or removes possible mouse hooks from memory. The mouse functions will not work after DoneMouse was called. If DoneMouse is called a second time, it will exit at once. InitMouse should be called before DoneMouse can be called again.

For an example, see most other mouse functions.

## Errors

None.

## See also

DetectMouse |  | Detect the presence of a mouse.
InitMouse |  | Initialize the FPC mouse driver.